/* #region everything */
body {
    margin: 0;
    background-color: white;
    color: black;
    font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
}

html, body {
  overflow-x: hidden;
}

html {
  scrollbar-gutter: stable;
}    

main {
    min-height: 100vh;
    margin: 0 auto;
    margin-top: 80px; 
    width: 90%;
}

main h1 {
    font-size: 28px;
}

main h2 {
    font-size: 21px;
}

main figure h3 {
    font-size: 21px;
}

a {
    text-decoration: none;
    cursor: pointer;
    color: inherit;
}

.category-intro {
    font-size: 20px;
}

.about-contact-advertise-explicit-links {
    color: navy;
    text-decoration: underline;
    font-weight: bold;
}

.about-contact-advertise-explicit-links:hover {
    color: rgb(2, 131, 141); 
    text-decoration: none;
}

.about-contact-advertise-hr {
    margin-top: 30px;
    height: 1px;
    background-color: black;
}

button {
    font-family: inherit;
    cursor: pointer;
    color: inherit;
    background: none;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
/* #endregion */

/* #region header-part */
header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 2.5%;
    padding-right: 2.5%;
    background-color: navy;
    color: white;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;  
    z-index: 100000;
}

header button:hover, header a:hover {
    color: orange;
}

.header-left, .header-right {
    display: flex;
    align-items: center;
}

.header-centre {
    display: none;
}

.header-centre a {
    font-weight: bold;
    text-align: center;
}

.hamburger button {
    font-size: x-large;
    border: none;
    margin-right: 0.3em;
}

.header-logo a {
    font-size: x-large;
    font-weight: bold;
}

.search-box button {
    border: none;
}

.header-subscribe button {
    border-radius: 30%;
    border: 2px solid white; 
    background-color: transparent; 
    font-size: small;
    margin-left: 0.5em;
}

.header-subscribe button:hover {
    border-color: orange;
}
/* #endregion */

/* #region subscribe-popup */
.modal {
    display: none; 
    position: fixed;
    top: 0;
    z-index: 1000;
    width: 100%;
    height: 100%;
    overflow: auto;
    background: rgba(0,0,0,0.5);
}

.modal-popup {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.modal-content {
    background: #dde9fc;
    border-radius: 5%; 
    position: relative;
    width: 80%;
}

.actual-modal-content {
    display: flex;
    flex-direction: column;
    align-items: center; 
    justify-content: center;
    text-align: center;
    padding-top: 30px;
    padding-left: 1%;
    padding-right: 1%;
}

.actual-modal-content form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.actual-modal-content h3 {
    font-size: x-large;
    margin-bottom: 0;
}

.actual-modal-content .subscription-form-caption {
    margin-top: 10px;
    font-size: large;
    margin-bottom: 30px;
}

.modal-content .close {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 50px;
    color: black;
    background-color: rgb(2, 131, 141);
    border: 2px solid black;
    border-top: none;
    border-right: none;
    border-top-right-radius: 50%;
    position: absolute;
    top: 0;
    right: 0;
    height: 50px;
}

.actual-modal-content #loading-spinner {
    display: none;
    margin-top: 10px;
}

.actual-modal-content .spinner {
    border: 3px solid #f3f3f3;
    border-top: 3px solid navy;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    animation: spin 1s linear infinite;
    margin: auto;
}

.actual-modal-content input {
    width: 80%;
    padding: 10px;
    border: 2px solid black;
    margin-bottom: 25px;
    font-size: medium; 
}

.actual-modal-content #submit-subscribe {
    background-color: rgb(2, 131, 141);
    color: black;
    font-weight: bold;
    font-size: large;
    width: 50%;
    padding-top: 10px;
    padding-bottom: 10px;
    border: 2px solid black; 
    border-radius: 10%;
}

.actual-modal-content #thank-you-message {
    display: none; 
    color: navy; 
    font-weight: bolder;
    font-size: x-large;
    margin-bottom: 40px;
    margin-top: 0;
}

.actual-modal-content #thank-you-message:focus {
    outline: none;
}

.actual-modal-content #already-subscribed {
    display: none; 
    color: navy; 
    font-weight: bolder;
    font-size: x-large;
    margin-bottom: 40px;
    margin-top: 0;
}

.actual-modal-content #already-subscribed:focus {
    outline: none;
}

.actual-modal-content #email-error {
    display: none; 
    color: red;
    font-size: small;
    margin-top: -15px;
    margin-bottom: 20px;
}

.actual-modal-content .privacy-important-caption {
    margin-bottom: 30px;
}

.actual-modal-content #submit-subscribe:hover {
    border-color: navy;
    background-color: navy;
    color: white;
}

.modal-content .close:hover {
    border-color: navy;
    background-color: navy;
    color: white;
}

body.modal-open {
  overflow: hidden;
  height: 100vh;
}
/* #endregion */

/* #region hamburger-menu */
.hamburger-menu {
    position: fixed;
    left: -100%; 
    width: 100%;
    height: 100%;
    background-color: #dde9fc;
    z-index: 999;
    overflow-y: auto;     
    overflow-x: hidden;
    transition: left 0.3s ease;
}

.hamburger-menu.active {
    left: 0; 
}

.hamburger-menu a {
    margin-left: 5%;
    margin-right: 5%;
    padding-top: 10px;
    padding-bottom: 10px;
    display: flex;
    justify-content: space-between;
    font-weight: bold;
}

.hamburger-menu a:hover {
    color: rgb(2, 131, 141);
}

.hamburger-menu hr { 
    border: none; 
    height: 1px; 
    background-color: rgb(180, 180, 180);
}

.hamburger-menu .search-bar {
    display: flex;
}

.hamburger-menu .search-bar input {
    margin-top: 30px;
    margin-bottom: 20px;
    padding: 5px;
    flex-grow: 1;
    height: 20px;
    margin-left: 5%;
    font-size: medium;
}

.hamburger-menu .search-bar button {
    margin-top: 30px;
    margin-bottom: 20px;
    height: 34px;
    width: 20%;
    margin-right: 5%;
    background-color: rgb(2, 131, 141);
    border: 2px solid black;
    font-size: medium;
}

.hamburger-menu .search-bar button:hover {
    background-color: navy;
    color: white;
    border-color: navy;
}

#suggestions-container-menu {
    position: absolute; 
    width: 80%; 
    display: none;
    overflow-y: auto;
    border: 1px solid #ccc;
    background-color: white;
    z-index: 10;
    border-radius: 1%;
    margin-top: -15px;
    margin-left: 5%;
}

.suggestion-item-menu {
    padding: 15px 3%;
    cursor: pointer;
    border-bottom: 1px solid #eee;
}

.suggestion-item-menu:hover {
    background-color: #f0f0f0;
}

.hamburger-menu .about-contact-advertise-hamburger {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin-left: 5%;
    margin-right: 5%;
    column-gap: 5%;
    row-gap: 20px;
    margin-top: 30px;
    margin-bottom: 5px;
}

.hamburger-menu .about-contact-advertise-hamburger a {
    font-weight: normal;
    text-align: center;
    margin: 0;
    padding: 0;
    display: flex;            
    justify-content: center;   
    align-items: center;
}

.hamburger-menu .follow-us-on-hamburger {
    margin-bottom: 50px;
    margin-top: 20px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 2.5%;
    align-items: center;
    font-size: x-large;
    font-weight: bold;
}

.hamburger-menu .follow-us-on-hamburger .twitter:hover, .hamburger-menu .follow-us-on-hamburger .pinterest:hover {
    transform: scale(1.15);
}

body.no-scroll {
  overflow: hidden;
  height: 100vh;
}
/* #endregion */

/* #region footer */
footer {
    background-color: navy;
    color: white;
    padding-top: 30px;
    padding-bottom: 50px;
}

footer a:hover {
    color: orange;
}

footer .footer-logo-icon {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-bottom: 15px;
}

footer .footer-logo {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 5%;
    align-items: center;
    font-size: x-large;
    font-weight: bold;
    margin-bottom: 25px;
}

footer .footer-logo .twitter:hover, footer .footer-logo .pinterest:hover {
    transform: scale(1.15);
}

footer .about-contact-advertise-footer {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin-left: 5%;
    margin-right: 5%;
    column-gap: 5%;
    row-gap: 20px;
}

footer .about-contact-advertise-footer a {
    text-align: center;
    font-size: small;
}

footer .footer-medical-disclaimer {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    margin-left: 5%;
    margin-right: 5%;
}
/* #endregion */

/* #region gut-health-and-digestion */
.gut-health-and-digestion-heading h1 {
    text-align: center;
}

.gut-health-and-digestion-articles {
    margin-top: 50px;
}

.gut-health-and-digestion-articles hr {
    height: 1px;
    background-color: black;
    margin-top: -10px;
    margin-bottom: 15px;
}

.gut-health-and-digestion-articles .gut-health-and-digestion-articles-completes {
    display: grid;
    row-gap: 20px;
    grid-template-columns: 1fr;
}

.gut-health-and-digestion-articles .gut-health-and-digestion-articles-completes figure {
    margin-left: 0;
    margin-right: 0;
    background-color: #dde9fc;
}

.gut-health-and-digestion-articles .gut-health-and-digestion-articles-completes figure img {
    width: 100%;
    aspect-ratio: 1200 / 630;
    object-fit: cover;
    display: block;
}

.gut-health-and-digestion-articles .gut-health-and-digestion-articles-completes figure img:hover {
    opacity: 0.75;
}

.gut-health-and-digestion-articles .gut-health-and-digestion-articles-completes figure div {
    padding-left: 2.5%;
    margin-top: -4px;
    margin-bottom: 20px;
    padding-top: 0.5px;
    padding-bottom: 0;
}

.gut-health-and-digestion-articles .gut-health-and-digestion-articles-completes figure div h3:hover {
    color: rgb(2, 131, 141);
}
/* #endregion */

/* #region heart-health-and-bp */
.heart-health-and-bp-heading h1 {
    text-align: center;
}

.heart-health-and-bp-articles {
    margin-top: 50px;
}

.heart-health-and-bp-articles hr {
    height: 1px;
    background-color: black;
    margin-top: -10px;
    margin-bottom: 15px;
}

.heart-health-and-bp-articles .heart-health-and-bp-articles-completes {
    display: grid;
    row-gap: 20px;
    grid-template-columns: 1fr;
}

.heart-health-and-bp-articles .heart-health-and-bp-articles-completes figure {
    margin-left: 0;
    margin-right: 0;
    background-color: #dde9fc;
}

.heart-health-and-bp-articles .heart-health-and-bp-articles-completes figure img {
    width: 100%;
    aspect-ratio: 1200 / 630;
    object-fit: cover;
    display: block;
}

.heart-health-and-bp-articles .heart-health-and-bp-articles-completes figure img:hover {
    opacity: 0.75;
}

.heart-health-and-bp-articles .heart-health-and-bp-articles-completes figure div {
    padding-left: 2.5%;
    margin-top: -4px;
    margin-bottom: 20px;
    padding-top: 0.5px;
    padding-bottom: 0;
}

.heart-health-and-bp-articles .heart-health-and-bp-articles-completes figure div h3:hover {
    color: rgb(2, 131, 141);
}
/* #endregion */

/* #region metabolism-and-blood-sugar */
.metabolism-and-blood-sugar-heading h1 {
    text-align: center;
}

.metabolism-and-blood-sugar-articles {
    margin-top: 50px;
}

.metabolism-and-blood-sugar-articles hr {
    height: 1px;
    background-color: black;
    margin-top: -10px;
    margin-bottom: 15px;
}

.metabolism-and-blood-sugar-articles .metabolism-and-blood-sugar-articles-completes {
    display: grid;
    row-gap: 20px;
    grid-template-columns: 1fr;
}

.metabolism-and-blood-sugar-articles .metabolism-and-blood-sugar-articles-completes figure {
    margin-left: 0;
    margin-right: 0;
    background-color: #dde9fc;
}

.metabolism-and-blood-sugar-articles .metabolism-and-blood-sugar-articles-completes figure img {
    width: 100%;
    aspect-ratio: 1200 / 630;
    object-fit: cover;
    display: block;
}

.metabolism-and-blood-sugar-articles .metabolism-and-blood-sugar-articles-completes figure img:hover {
    opacity: 0.75;
}

.metabolism-and-blood-sugar-articles .metabolism-and-blood-sugar-articles-completes figure div {
    padding-left: 2.5%;
    margin-top: -4px;
    margin-bottom: 20px;
    padding-top: 0.5px;
    padding-bottom: 0;
}

.metabolism-and-blood-sugar-articles .metabolism-and-blood-sugar-articles-completes figure div h3:hover {
    color: rgb(2, 131, 141);
}
/* #endregion */

/* #region the-brain-and-nervous-system */
.the-brain-and-nervous-system-heading h1 {
    text-align: center;
}

.the-brain-and-nervous-system-articles {
    margin-top: 50px;
}

.the-brain-and-nervous-system-articles hr {
    height: 1px;
    background-color: black;
    margin-top: -10px;
    margin-bottom: 15px;
}

.the-brain-and-nervous-system-articles .the-brain-and-nervous-system-articles-completes {
    display: grid;
    row-gap: 20px;
    grid-template-columns: 1fr;
}

.the-brain-and-nervous-system-articles .the-brain-and-nervous-system-articles-completes figure {
    margin-left: 0;
    margin-right: 0;
    background-color: #dde9fc;
}

.the-brain-and-nervous-system-articles .the-brain-and-nervous-system-articles-completes figure img {
    width: 100%;
    aspect-ratio: 1200 / 630;
    object-fit: cover;
    display: block;
}

.the-brain-and-nervous-system-articles .the-brain-and-nervous-system-articles-completes figure img:hover {
    opacity: 0.75;
}

.the-brain-and-nervous-system-articles .the-brain-and-nervous-system-articles-completes figure div {
    padding-left: 2.5%;
    margin-top: -4px;
    margin-bottom: 20px;
    padding-top: 0.5px;
    padding-bottom: 0;
}

.the-brain-and-nervous-system-articles .the-brain-and-nervous-system-articles-completes figure div h3:hover {
    color: rgb(2, 131, 141);
}
/* #endregion */

@media screen and (min-width: 991px) {
  main {
      width: 80%;
      margin-top: 90px;
  }
  .modal-content {
      width: 50%;
  }
  .actual-modal-content input {
      font-size: large;
  }
  header {
      display: flex;
      align-items: center;
      justify-content: space-around;
  }
  .header-centre {
      display: flex;
      flex-grow: 1;
      align-items: center;
      justify-content: space-around;
  }
  .hamburger button {
      font-size: xx-large;
  }
  .header-logo a {
      font-size: xx-large;
  }
  .header-subscribe button {
      font-size: medium;
  }
  .hamburger-menu {
      width: 50%;
  }
  .hamburger-menu .search-bar input, .hamburger-menu .search-bar button {
      font-size: large;
  }
  footer .about-contact-advertise-footer {
      grid-template-columns: repeat(6, 1fr);
      column-gap: 2.5%;
  }
  footer .about-contact-advertise-footer a {
      font-size: medium;
  }
    .gut-health-and-digestion-heading h1 {
        padding-top: 15px;
    }
    .gut-health-and-digestion-heading h1 br {
        display: none;
    }
    .gut-health-and-digestion-articles .gut-health-and-digestion-articles-completes {
        column-gap: 7.5%;
        row-gap: 30px;
        grid-template-columns: repeat(2, 1fr); 
    }
    .heart-health-and-bp-heading h1 {
        padding-top: 15px;
    }
    .heart-health-and-bp-heading h1 br {
        display: none;
    }
    .heart-health-and-bp-articles .heart-health-and-bp-articles-completes {
        column-gap: 7.5%;
        row-gap: 30px;
        grid-template-columns: repeat(2, 1fr); 
    }
    .metabolism-and-blood-sugar-heading h1 {
        padding-top: 15px;
    }
    .metabolism-and-blood-sugar-heading h1 br {
        display: none;
    }
    .metabolism-and-blood-sugar-articles .metabolism-and-blood-sugar-articles-completes {
        column-gap: 7.5%;
        row-gap: 30px;
        grid-template-columns: repeat(2, 1fr); 
    }
    .the-brain-and-nervous-system-heading h1 {
        padding-top: 15px;
    }
    .the-brain-and-nervous-system-heading h1 br {
        display: none;
    }
    .the-brain-and-nervous-system-articles .the-brain-and-nervous-system-articles-completes {
        column-gap: 7.5%;
        row-gap: 30px;
        grid-template-columns: repeat(2, 1fr); 
    }
}